# class Chef::ChefFS::FileSystem::CookbookSubdir

### Attributes

children[R]
versions[R]

### Public Class Methods

new(name, parent, ruby_only, recursive) click to toggle source
Calls superclass method Chef::ChefFS::FileSystem::BaseFSDir.new

    # File lib/chef/chef_fs/file_system/cookbook_subdir.rb, line 25
    def initialize(name, parent, ruby_only, recursive)
      super(name, parent)
      @children = []
      @ruby_only = ruby_only
      @recursive = recursive
    end

### Public Instance Methods

add_child(child) click to toggle source

    # File lib/chef/chef_fs/file_system/cookbook_subdir.rb, line 35
    def add_child(child)
      @children << child
    end

can_have_child?(name, is_dir) click to toggle source

    # File lib/chef/chef_fs/file_system/cookbook_subdir.rb, line 39
    def can_have_child?(name, is_dir)
      if is_dir
        return false if !@recursive
      else
        return false if @ruby_only && name !~ /\.rb$/
      end
      true
    end

rest() click to toggle source

    # File lib/chef/chef_fs/file_system/cookbook_subdir.rb, line 48
    def rest
      parent.rest
    end